<?php
$valid = true;
$result = "";
$messages = array();

$x = "";
$y = "";
$EPSGIN = "";
$EPSGOUT = "";

if (isset($_POST['submit']))
{
	if (!isset($_POST['x']) || $_POST['x'] == "") {
		$messages[] = "Inserire il valore per la coordinata x";
		$valid = false;
	}
	elseif(!is_numeric($_POST['x'])){
		$messages[] = "Inserire un valore decimale per la coordinata x";
		$valid = false;
	}
	
	if (!isset($_POST['y']) || $_POST['y'] == "") {
		$messages[] = "Inserire il valore per la coordinata y";
		$valid = false;
	}
	elseif(!is_numeric($_POST['y'])){
		$messages[] = "Inserire un valore decimale per la coordinata y";
		$valid = false;
	}
	
	$x = $_POST['x'];
	$y = $_POST['y'];
	$EPSGIN = $_POST['EPSGIN'];
	$EPSGOUT = $_POST['EPSGOUT'];
	if ($valid) {
		try {
			$client = new SoapClient("http://webgis.regione.sardegna.it/srsconverterws/converter?WSDL");
			$response = $client->__call("convert2D", array("double_1" => $x, "double_2" => $y, "int_3" => $EPSGIN, "int_4" => $EPSGOUT)); 
			$result =  "x: " . $response->x . "<br/>" .
			"y: " . $response->y . "<br/>" .
			"z: " . $response->z . "<br/>";
		}
		catch (SoapFault $ex)
		{
			if($ex->detail->CoordinateOutOfBoundException->enc_value->message)
				$messages[] = 'Il servizio ha restituito il seguente messaggio di errore: ' . $ex->detail->CoordinateOutOfBoundException->enc_value->message;
			elseif($ex->detail->EPSGNotSupportedException->enc_value->message)
				$messages[] = 'Il servizio ha restituito il seguente messaggio di errore: ' . $ex->detail->EPSGNotSupportedException->enc_value->message;
		}
		catch (Exception $ex)
		{
			$messages[] = 'Il servizio ha restituito il seguente messaggio di errore: ' . $ex->getMessage();
		}
	}
}

?>
<html>
<head>
<title>Conversione Coordinate demo</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
<link rel="stylesheet" href="css/screen.css" type="text/css" media="screen, projection">
<link rel="stylesheet" href="css/print.css" type="text/css" media="print">
<!--[if lt IE 8]><link rel="stylesheet" href="css/ie.css" type="text/css" media="screen, projection"><![endif]-->
</head>
<body>
<div class="container showgrid">
<h1>Conversione Coordinate demo</h1>
<div class="span-12">
	<form method="POST" action="<?php echo $_SERVER['PHP_SELF']; ?>">
	<fieldset>
	<legend>Richiesta</legend>
	<label for="x">x *</label><br/>
	<input name="x" type="text" value="<?php echo $x; ?>">
	<br/>

	<label for="y">y *</label><br/>
	<input name="y" type="text" value="<?php echo $y; ?>">
	<br/>

	<label for="EPSGIN">EPSGIN *</label><br/>
	<select name="EPSGIN">
	<option value="3003" <?php echo ($EPSGIN=="3003" || $EPSGIN=="")?"selected":"" ?>>Gauss-Boaga (Roma40) fuso Ovest</option>
	<option value="3004" <?php echo ($EPSGIN=="3004")?"selected":"" ?>>Gauss-Boaga (Roma40) fuso Est</option>
	<option value="23032" <?php echo ($EPSGIN=="23032")?"selected":"" ?>>UTM (ED50) fuso 32</option>
	<option value="23033" <?php echo ($EPSGIN=="23033")?"selected":"" ?>>UTM (ED50) fuso 33</option>
	<option value="23034" <?php echo ($EPSGIN=="23034")?"selected":"" ?>>UTM (ED50) fuso 34</option>
	<option value="32632" <?php echo ($EPSGIN=="32632")?"selected":"" ?>>UTM (WGS84) fuso 32N</option>
	<option value="32633" <?php echo ($EPSGIN=="32633")?"selected":"" ?>>UTM (WGS84) fuso 33N</option>
	<option value="32634" <?php echo ($EPSGIN=="32634")?"selected":"" ?>>UTM (WGS84) fuso 34N</option>
	<option value="4326" <?php echo ($EPSGIN=="4326")?"selected":"" ?>>WGS84 - geografico</option>
	<option value="4265" <?php echo ($EPSGIN=="4265")?"selected":"" ?>>Roma 40 - geografico</option>
	<option value="4230" <?php echo ($EPSGIN=="4230")?"selected":"" ?>>ED50 - geografico</option>
	</select>
	<br/>

	<label for="EPSGOUT">EPSGOUT *</label><br/>
	<select name="EPSGOUT">
	<option value="3003" <?php echo ($EPSGOUT=="3003")?"selected":"" ?>>Gauss-Boaga (Roma40) fuso Ovest</option>
	<option value="3004" <?php echo ($EPSGOUT=="3004")?"selected":"" ?>>Gauss-Boaga (Roma40) fuso Est</option>
	<option value="23032" <?php echo ($EPSGOUT=="23032")?"selected":"" ?>>UTM (ED50) fuso 32</option>
	<option value="23033" <?php echo ($EPSGOUT=="23033")?"selected":"" ?>>UTM (ED50) fuso 33</option>
	<option value="23034" <?php echo ($EPSGOUT=="23034")?"selected":"" ?>>UTM (ED50) fuso 34</option>
	<option value="32632" <?php echo ($EPSGOUT=="32632")?"selected":"" ?>>UTM (WGS84) fuso 32N</option>
	<option value="32633" <?php echo ($EPSGOUT=="32633")?"selected":"" ?>>UTM (WGS84) fuso 33N</option>
	<option value="32634" <?php echo ($EPSGOUT=="32634")?"selected":"" ?>>UTM (WGS84) fuso 34N</option>
	<option value="4326" <?php echo ($EPSGOUT=="4326" || $EPSGOUT=="")?"selected":"" ?>>WGS84 - geografico</option>
	<option value="4265" <?php echo ($EPSGOUT=="4265")?"selected":"" ?>>Roma 40 - geografico</option>
	<option value="4230" <?php echo ($EPSGOUT=="4230")?"selected":"" ?>>ED50 - geografico</option>
	</select>
	<br/>

	<input name="submit" type="submit" value="converti">
	</fieldset>
	
	<fieldset>
	<legend>Risposta</legend>
	<div id="message">
		<?php
		foreach ($messages as $message)
			echo $message . "<br/>";
		?>
	</div>

	<div id="result">
	<?php echo $result; ?>
	</div>
	</fieldset>
	
	</form>
</div>
</div>
</body>
</html>